gr::gsm::collect_system_info_impl Class Reference

`#include <collect_system_info_impl.h>`

Inheritance diagram for gr::gsm::collect_system_info_impl:

## Public Member Functions

virtual std::vector< int > | get_framenumbers ()
virtual std::vector< std::string > | get_system_information_type ()
virtual std::vector< std::string > | get_data ()
| collect_system_info_impl ()
| ~collect_system_info_impl ()

## Additional Inherited Members

Public Types inherited from gr::gsm::collect_system_info
typedef std::shared_ptr< collect_system_info > | sptr
Static Public Member Functions inherited from gr::gsm::collect_system_info
static sptr | make ()
| Return a shared_ptr to a new instance of gsm::collect_system_info.

## Constructor & Destructor Documentation

## collect_system_info_impl()

gr::gsm::collect_system_info_impl::collect_system_info_impl | ( |  | ) |

## ~collect_system_info_impl()

gr::gsm::collect_system_info_impl::~collect_system_info_impl | ( |  | ) |

## Member Function Documentation

## get_data()

virtual std::vector< std::string > gr::gsm::collect_system_info_impl::get_data | ( |  | ) |

virtual

Implements gr::gsm::collect_system_info.

## get_framenumbers()

virtual std::vector< int > gr::gsm::collect_system_info_impl::get_framenumbers | ( |  | ) |

virtual

Implements gr::gsm::collect_system_info.

## get_system_information_type()

virtual std::vector< std::string > gr::gsm::collect_system_info_impl::get_system_information_type | ( |  | ) |

virtual

Implements gr::gsm::collect_system_info.

The documentation for this class was generated from the following file:

- collect_system_info_impl.h